<f:if condition="{configuration.insertAbove}">
    <f:render section="paginator" arguments="{pagination: pagination}"/>
</f:if>

<f:renderChildren arguments="{contentArguments}"/>

<f:if condition="{configuration.insertBelow}">
    <f:render section="paginator" arguments="{pagination: pagination}"/>
</f:if>

<f:section name="paginator">
    <ul class="f3-widget-paginator">
        <f:if condition="{pagination.previousPage}">
            <li class="previous">
                <f:if condition="{pagination.previousPage} > 1">
                    <f:then>
                        <f:widget.link arguments="{currentPage: pagination.previousPage}">previous</f:widget.link>
                    </f:then>
                    <f:else>
                        <f:widget.link>previous</f:widget.link>
                    </f:else>
                </f:if>
            </li>
        </f:if>
        <f:for each="{pagination.pages}" as="page">
            <f:if condition="{page.isCurrent}">
                <f:then>
                    <li class="current">
                        {page.number}
                    </li>
                </f:then>
                <f:else>
                    <li>
                        <f:if condition="{page.number} > 1">
                            <f:then>
                                <f:widget.link arguments="{currentPage: page.number}">{page.number}</f:widget.link>
                            </f:then>
                            <f:else>
                                <f:widget.link>{page.number}</f:widget.link>
                            </f:else>
                        </f:if>
                    </li>
                </f:else>
            </f:if>
        </f:for>
        <f:if condition="{pagination.nextPage}">
            <li class="next">
                <f:widget.link arguments="{currentPage: pagination.nextPage}">next</f:widget.link>
            </li>
        </f:if>
    </ul>
</f:section>
